if test -v DISTROBOX_HOST_HOME; then unset ZDOTDIR; exec zsh; fi # fix distrobox
if test $TERMINALNAME = "alacritty"; then eval "$(zellij setup --generate-auto-start zsh)"; fi # autostart only in alacritty

#fastfetch
bofh; echo " - BOFH"
#hackerquotes
#colorscript random

# powerlevel10k instant prompt
() { test -r $1 && source $1 } "$XDG_CACHE_HOME"/p10k-instant-prompt-$USERNAME.zsh

# compinit
autoload -Uz compinit; mkdir -p "$XDG_CACHE_HOME"/zsh &>/dev/null; compinit -d "$XDG_CACHE_HOME"/zsh/compdump

# source from sheldon
eval "$(sheldon source)"

# eval stuff
_evalcache zoxide init zsh
_evalcache dircolors -b /usr/share/LS_COLORS/LS_COLORS
_evalcache atuin init zsh
_evalcache navi widget zsh
_evalcache direnv hook zsh
eval "$(keychain --dir "$XDG_CACHE_HOME"/keychain --eval --quiet id_rsa)"

# ssh ignored patterns
zstyle ':completion:*:*:*:users' ignored-patterns '*'
zstyle ':completion:*:*:*:hosts-domain' ignored-patterns '<->.<->.<->.<->' '^[-[:alnum:]]##(.[-[:alnum:]]##)##' '*@*' '*localdomain*' '*.eeleater.org' '*.local' '*.hbz-nrw.de'
